function [ Dxg] = DxAllUppLevEqConstrs(obj,x )
    %Dxg=DxAllUppLevEqConstrs(x) returns the derivative of the function
    %evalAllUppLevEqConstrs with respect to x. 

    Dxg=zeros(0,obj.nrOfUppLevVars);
    if obj.getNrUppLevNonlinEqs>0
        Dxg=[Dxg;obj.DxUppLevNonlinEqConstrs(x)];
    end
    %Add the linear constraints    
    [A,b]=obj.getLinEqsOnUppLevVars;    
    if size(A,1)>0
        Dxg=[Dxg;A]; 
    end
    
   
end