%Int this example we plot the containment conditions of a GSIP. Note the
%containment conditions are a interpretation of the semi-infinite
%constraints. This is described in more details in the documentation.

%example in 2 dimensions
%can be compared to the plot function of the DC problem with designCircle
%and containerC1
d=DesignCircle;
c=ContainerC1;
p=DCProblemAsGSIP(d,c);

%p=Problem, 1 index of Indexset, Starting values, Points marked with red,
%Pointsmarked with blue, lower bounds, upper bounds of the box
p.plotGSIPContainmentCondition(1,[0,-1,1],[-1,-2],[1.5,1],[1,1;0.5,1],'red',[0.5,0.5;1,0.5],'blue')

%use other bounds, to show what happends if a object exceeds the bounds
p.plotGSIPContainmentCondition(1,[0,-1,1],[0,-0.5],[1.5,1],[1,1;0.5,1],'red',[0.5,0.5;1,0.5],'blue')

%Moreover, we have the possibility to fill the contour
p.plotGSIPContainmentCondition(1,[0,-1,1],[0,-0.5],[1.5,1],[1,1;0.5,1],'red',[0.5,0.5;1,0.5],'blue','filled')


%example in 1 dimension
%For this problem no other plot function is implemented
p=Problem1;
p.plotGSIPContainmentCondition(1,[5,5],[-5],[10],[3;5],'red',[4;6;7],'blue')