function [ works ] = checkOneFunction3DOutput(object,stringNameOfFunction,sizeOfOutput,varargin )
%Initial Input is a list of the inputs, sizeOfOutputs is a matrix. First row
%number of rows of each output. Second row number of columns.
works=1;
f=str2func(stringNameOfFunction);
nrOfOutput=size(sizeOfOutput,2);
try
 output=cell(1,nrOfOutput);
     [output{1:nrOfOutput}]=f(object,varargin{:});
 for i=1:nrOfOutput
     [r,c,t]=size(output{i});
     if (sizeOfOutput(1,i)~=inf && r~=sizeOfOutput(1,i)) || (sizeOfOutput(2,i)~=inf && c~=sizeOfOutput(2,i))|| (sizeOfOutput(3,i)~=inf && t~=sizeOfOutput(3,i))
         switch i
             case 1
                 warning('The %dst output of the function %s does not have the correct size',i,stringNameOfFunction);
             case 2
                 warning('The %dnd output of the function %s does not have the correct size',i,stringNameOfFunction);
             case 3
                 warning('The %drd output of the function %s does not have the correct size',i,stringNameOfFunction);
             otherwise
                 warning('The %dth output of the function %s does not have the correct size',i,stringNameOfFunction);
         end
         
         works=0;
     end

 end
 catch me
      for i=1:length(varargin)
         varargin{i}
      end
     warning('The function %s does not work',stringNameOfFunction);
          works=0;
 end

end
